module Fox
  # A bitmap is a one bit/pixel image used for patterning and
  # stippling operations.
  #
  # === Image rendering hints
  #
  # +BITMAP_KEEP+::	Keep pixel data in client
  # +BITMAP_OWNED+::	Pixel data is owned by image
  # +BITMAP_SHMI+::	Using shared memory image
  # +BITMAP_SHMP+::	Using shared memory pixmap

  class FXBitmap < FXDrawable
    # Create a bitmap
    def initialize(app, pixels=nil, opts=0, width=1, height=1) # :yields: theBitmap
    end

    # Render pixels
    def render() ; end
    
    # Save pixel data only
    def savePixels(stream); end
    
    # Load pixel data from a stream
    def loadPixels(stream); end

    # Get pixel state (either +true+ or +false+) at (_x_, _y_)
    def getPixel(x, y) ; end

    # Change pixel at (_x_, _y_), where _color_ is either +true+ or +false+.
    def setPixel(x, y, color) ; end
  end
end
